Subject: bug#71429: Inconsistent y-or-n-p prompt behavior in Emacs Lisp

From: Stefan Kangas <[email-masked]>
Date: Sun, 9 Jun 2024 07:01:22 -0400

Eli Zaretskii <[email-masked]> writes:

>> Since this effect of using a backslash is part of what
>> substitute-command-keys does (and it's commented there: ";; 1C. \`f' is
>> replaced with a fontified f."), would adding a comment to y-or-n-p be an
>> exception or would all callers of substitute-command-keys that use this
>> handling of the backslash also need to have such a comment?
>
> Not necessarily all the callers, but some definitely.  This is an
> unusual convention, which is mentioned in the doc string of
> substitute-command-keys, but not in the ELisp manual,

It is documented in (info "(elisp) Keys in Documentation").

See commit 1aef1a6673bc29784effe10d2e01e62b49c0112c and Bug#50804.